Folks.RoleDetails.change_roles – folks Reference Manual

# change_roles

## Description:

public virtual async void change_roles (Set<RoleFieldDetails> roles) throws PropertyError

Change the contact's roles.

It's preferred to call this rather than setting RoleDetails.roles directly, as this method gives error notification and will only return once the roles have been written to the relevant backing store (or the operation's failed).

## Parameters:

roles | the set of roles

## Exceptions:

PropertyError | if setting the roles failed

## Since:

0.6.2